Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.wsdl
Class ObjectFactory

    java.lang.Object
      org.apache.cxf.wsdl.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the org.apache.cxf.wsdl package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.apache.cxf.wsdl

Method Summary
`javax.xml.bind.JAXBElement<TDefinitions>` | `createDefinitions(TDefinitions value)` Create an instance of `JAXBElement``<``TDefinitions``>`}
`TBinding` | `createTBinding()` Create an instance of `TBinding`
`TBindingOperation` | `createTBindingOperation()` Create an instance of `TBindingOperation`
`TBindingOperationFault` | `createTBindingOperationFault()` Create an instance of `TBindingOperationFault`
`TBindingOperationMessage` | `createTBindingOperationMessage()` Create an instance of `TBindingOperationMessage`
`TDefinitions` | `createTDefinitions()` Create an instance of `TDefinitions`
`javax.xml.bind.JAXBElement<TBinding>` | `createTDefinitionsBinding(TBinding value)` Create an instance of `JAXBElement``<``TBinding``>`}
`javax.xml.bind.JAXBElement<TImport>` | `createTDefinitionsImport(TImport value)` Create an instance of `JAXBElement``<``TImport``>`}
`javax.xml.bind.JAXBElement<TMessage>` | `createTDefinitionsMessage(TMessage value)` Create an instance of `JAXBElement``<``TMessage``>`}
`javax.xml.bind.JAXBElement<TPortType>` | `createTDefinitionsPortType(TPortType value)` Create an instance of `JAXBElement``<``TPortType``>`}
`javax.xml.bind.JAXBElement<TService>` | `createTDefinitionsService(TService value)` Create an instance of `JAXBElement``<``TService``>`}
`javax.xml.bind.JAXBElement<TTypes>` | `createTDefinitionsTypes(TTypes value)` Create an instance of `JAXBElement``<``TTypes``>`}
`TDocumentation` | `createTDocumentation()` Create an instance of `TDocumentation`
`TDocumented` | `createTDocumented()` Create an instance of `TDocumented`
`TFault` | `createTFault()` Create an instance of `TFault`
`TImport` | `createTImport()` Create an instance of `TImport`
`TMessage` | `createTMessage()` Create an instance of `TMessage`
`TOperation` | `createTOperation()` Create an instance of `TOperation`
`javax.xml.bind.JAXBElement<TFault>` | `createTOperationFault(TFault value)` Create an instance of `JAXBElement``<``TFault``>`}
`javax.xml.bind.JAXBElement<TParam>` | `createTOperationInput(TParam value)` Create an instance of `JAXBElement``<``TParam``>`}
`javax.xml.bind.JAXBElement<TParam>` | `createTOperationOutput(TParam value)` Create an instance of `JAXBElement``<``TParam``>`}
`TParam` | `createTParam()` Create an instance of `TParam`
`TPart` | `createTPart()` Create an instance of `TPart`
`TPort` | `createTPort()` Create an instance of `TPort`
`TPortType` | `createTPortType()` Create an instance of `TPortType`
`TService` | `createTService()` Create an instance of `TService`
`TTypes` | `createTTypes()` Create an instance of `TTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.apache.cxf.wsdl

Method Detail

### createTBindingOperation

    public TBindingOperation createTBindingOperation()

  Create an instance of `TBindingOperation`

### createTDefinitions

    public TDefinitions createTDefinitions()

  Create an instance of `TDefinitions`

### createTBindingOperationFault

    public TBindingOperationFault createTBindingOperationFault()

  Create an instance of `TBindingOperationFault`

### createTBindingOperationMessage

    public TBindingOperationMessage createTBindingOperationMessage()

  Create an instance of `TBindingOperationMessage`

### createTService

    public TService createTService()

  Create an instance of `TService`

### createTFault

    public TFault createTFault()

  Create an instance of `TFault`

### createTOperation

    public TOperation createTOperation()

  Create an instance of `TOperation`

### createTBinding

    public TBinding createTBinding()

  Create an instance of `TBinding`

### createTDocumented

    public TDocumented createTDocumented()

  Create an instance of `TDocumented`

### createTPort

    public TPort createTPort()

  Create an instance of `TPort`

### createTImport

    public TImport createTImport()

  Create an instance of `TImport`

### createTParam

    public TParam createTParam()

  Create an instance of `TParam`

### createTDocumentation

    public TDocumentation createTDocumentation()

  Create an instance of `TDocumentation`

### createTPart

    public TPart createTPart()

  Create an instance of `TPart`

### createTPortType

    public TPortType createTPortType()

  Create an instance of `TPortType`

### createTMessage

    public TMessage createTMessage()

  Create an instance of `TMessage`

### createTTypes

    public TTypes createTTypes()

  Create an instance of `TTypes`

### createTOperationFault

    public javax.xml.bind.JAXBElement<TFault> createTOperationFault(TFault value)

  Create an instance of `JAXBElement``<``TFault``>`}

### createTOperationInput

    public javax.xml.bind.JAXBElement<TParam> createTOperationInput(TParam value)

  Create an instance of `JAXBElement``<``TParam``>`}

### createTOperationOutput

    public javax.xml.bind.JAXBElement<TParam> createTOperationOutput(TParam value)

  Create an instance of `JAXBElement``<``TParam``>`}

### createDefinitions

    public javax.xml.bind.JAXBElement<TDefinitions> createDefinitions(TDefinitions value)

  Create an instance of `JAXBElement``<``TDefinitions``>`}

### createTDefinitionsPortType

    public javax.xml.bind.JAXBElement<TPortType> createTDefinitionsPortType(TPortType value)

  Create an instance of `JAXBElement``<``TPortType``>`}

### createTDefinitionsMessage

    public javax.xml.bind.JAXBElement<TMessage> createTDefinitionsMessage(TMessage value)

  Create an instance of `JAXBElement``<``TMessage``>`}

### createTDefinitionsImport

    public javax.xml.bind.JAXBElement<TImport> createTDefinitionsImport(TImport value)

  Create an instance of `JAXBElement``<``TImport``>`}

### createTDefinitionsBinding

    public javax.xml.bind.JAXBElement<TBinding> createTDefinitionsBinding(TBinding value)

  Create an instance of `JAXBElement``<``TBinding``>`}

### createTDefinitionsTypes

    public javax.xml.bind.JAXBElement<TTypes> createTDefinitionsTypes(TTypes value)

  Create an instance of `JAXBElement``<``TTypes``>`}

### createTDefinitionsService

    public javax.xml.bind.JAXBElement<TService> createTDefinitionsService(TService value)

  Create an instance of `JAXBElement``<``TService``>`}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF